<template>
  <v-row>
    <v-col :cols="12">
      <v-card>
        <v-card-title
          >{{ getAppName }} <span style="color:gray; font-size: 0.7em; margin-left: 10px">{{ getPackageName }}</span>
        </v-card-title>
        <v-card-text>
          <vue-json-pretty :data="manifest"></vue-json-pretty>
        </v-card-text>
      </v-card>
    </v-col>
  </v-row>
</template>

<script>
import manifest from "@/service/manifest";
import VueJsonPretty from "vue-json-pretty";

export default {
  components: {
    VueJsonPretty
  },
  data() {
    return {
      manifest: {},
      pathChecked: [this.manifest]
    };
  },
  computed: {
    getAppName() {
      return this.manifest.name;
    },
    getPackageName() {
      return this.manifest.package;
    }
  },
  created() {
    this.getManifest(1);
  },

  methods: {
    getManifest(target) {
      manifest.getManifest(target).then(res => {
        this.manifest = res.data.app_default_info;
      });
    }
  }
};
</script>
